#!/usr/bin/env python3
""" Statistical Language processing, Assignment 7
	See <https://snlp2021.github.io/a7/> for detailed instructions.

	<Please insert your name and the honor code here.>
"""

import csv

def predict_gender(trn_texts, trn_labels, tst_texts):
	"""Main interface to the assignment.

	This function should perform all necessary steps to train your
	classifer model on (trn_texts, trn_labels) and
	return predictions for tst_texts.

	Do not tune your model here. Instead, use your best setup to only
	train and return the predictions for the test set. You will lose
	points if this function takes too long (more than 15 minutes on a
	standard desktop).
	"""
	pass

if __name__ == "__main__":

	## Example usage of the predict_gender (assuming the function will
	## train a clasifier, and return the predicted labels).
	train_text, train_label, test_text = [], [], []
	with open('a7-train.txt') as f:
		csvr = csv.DictReader(f, delimiter='\t')
		for row in csvr:
			train_text.append(row['text'])
			train_label.append(row['gender'])

	with open('a7-test.txt') as f:
		csvr = csv.DictReader(f, delimiter='\t')
		for row in csvr:
			test_text.append(row['text'])

	predictions = predict_gender(train_text, train_label, test_text)

	with open('labels.txt', 'wt') as f:
		for pred in predictions:
			print(pred, file=f)
